Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.workqueue
Enum WorkQueueManager.ThreadingModel

    java.lang.Object
      java.lang.Enum<WorkQueueManager.ThreadingModel>
          org.apache.cxf.workqueue.WorkQueueManager.ThreadingModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WorkQueueManager.ThreadingModel>

Enclosing interface:
  WorkQueueManager

    public static enum WorkQueueManager.ThreadingModel

extends java.lang.Enum<WorkQueueManager.ThreadingModel>

Enum Constant Summary
`MULTI_THREADED`
`SINGLE_THREADED`

Method Summary
`static WorkQueueManager.ThreadingModel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WorkQueueManager.ThreadingModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_THREADED

    public static final WorkQueueManager.ThreadingModel SINGLE_THREADED

### MULTI_THREADED

    public static final WorkQueueManager.ThreadingModel MULTI_THREADED

Method Detail

### values

    public static final WorkQueueManager.ThreadingModel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(WorkQueueManager.ThreadingModel c : WorkQueueManager.ThreadingModel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static WorkQueueManager.ThreadingModel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF